Skip to main content
POST
/
api
/
v1
/
mcp
/
transfer
Transfer USDC through MCP using invoice/contact/quote context
curl --request POST \
  --url https://api.hevn.finance/api/v1/mcp/transfer \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <x-api-key>' \
  --data '
{
  "contactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "quoteId": "<string>",
  "invoiceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "amount": 123,
  "memo": "<string>"
}
'
{
  "txHash": "<string>",
  "userCreated": false,
  "emailSent": false
}

Authorizations

Authorization
string
header
default:Bearer <token>
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string | null
x-api-key
string
required

Body

application/json
contactId
string<uuid> | null
quoteId
string | null
invoiceId
string<uuid> | null
amount
number | null
memo
string | null

Response

Successful Response

txHash
string | null
userCreated
boolean
default:false
emailSent
boolean
default:false